Create a live event – Media API – MediaKind
Create a live event
put https://app.mk.io/api/v1/projects/:project_name/media/liveEvents/:event_name
Create a live event
RBAC Capability Required: ams.liveevent.create
Authentication
Authorization Bearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
project_name string Required
event_name string Required
Request
This endpoint expects an object.
location string Optional
- Deprecated field. This field cannot be modified, only set during creation.
properties object LiveEventPutProperties Required
- The properties of the live event.
crossSiteAccessPolicies object CrossSiteAccessPolicies Optional
- The configuration for cross-site access policies. This includes the XML content of the client access policy and cross-domain policy files. This field cannot be modified, only set during creation.
clientAccessPolicy string or null Optional
- The XML content of the client access policy file. Search 'clientaccesspolicy.xml' to learn more.
crossDomainPolicy string or null Optional
- The XML content of the cross-domain policy file. Search 'crossdomain.xml' to learn more.
description string Optional 0-4096 characters
- An optional description for the live event. This field cannot be modified, only set during creation.
encoding object LiveEventEncoding Required
- The encoding configuration for the live event. This includes settings like encoding type and preset name. This field cannot be modified, only set during creation.
encodingType enum Required
- Live event type. When encodingType is set to PassthroughBasic or PassthroughStandard, the service simply passes through the incoming video and audio layer(s) to the output. When encodingType is set to Standard or Premium1080p, a live encoder transcodes the incoming stream into multiple bitrates or layers
- Allowed values: None, PassthroughBasic, PassthroughStandard, Premium1080p, Standard
keyFrameInterval string Optional Defaults to PT2S
- Use an ISO 8601 time value between 1 and 10 seconds to specify the output fragment length for the video and audio tracks of an encoding live event. For example, use PT2S to indicate 2 seconds. For the video track it also defines the key frame interval, or the length of a GoP (group of pictures). If this value is not set for an encoding live event, the fragment duration defaults to 2 seconds. The value cannot be set for pass-through live events.
presetName string Optional
- Defaults to either Default720p or Default1080p depending on encoding type. May be used to specify alternative encoding templates - contact support for assistance if your needs are complex.
stretchMode enum Optional
- Determines how aspect ratio will be preserved when there is a mismatch between the input and output aspect ratios. Autofit to pad the output. Autosize to ignore the output ratio and pick the largest dimension that fits, and None to clip the content.
- Allowed values: None, AutoSize, AutoFit
hostnamePrefix string Optional
- Applied when useStaticHostname=true to specify the first part of the hostname for all input and preview addresses. This field cannot be modified, only set during creation.
input object LiveEventInput Required
- The configuration for the input of the live event. This includes settings like key frame interval duration, streaming protocol, access token, and endpoints. This field cannot be modified, only set during creation.
accessControl object InputAccessControl Required
- Access control for live event input.
ip object IPAccessControl Required
- The IP access control for the live event inputs.
allowlist of objects IPRange Required
- The IP ranges that will be allowed to access the preview. If empty, all IPs will be allowed.
address string Required
- The IP address or DNS with port or protocol
name string Required 1-32 characters
- The name of the IP range. This is for your reference only. examples: 'everyone', 'dave's house', 'corp vpn'.
subnetPrefixLength integer Required 0 to 32
- The subnet prefix length (see CIDR notation).
accessToken string Required 10-79 characters
- For RTMP, a UUID in string form to uniquely identify the stream. For SRT, an arbitrary string of between 10 and 79 characters, used as the passphrase. This can be specified at creation time but cannot be updated. If omitted or null, the service will generate a unique value.
endpoints list of objects LiveEventEndpoint Optional
- Populated server-side. The input endpoints for the live event.
keyFrameIntervalDuration string Required
- ISO 8601 time duration of the key frame interval duration of the input. This value sets the EXT-X-TARGETDURATION property in the HLS output. For example, use PT2S to indicate 2 seconds. Leave the value empty for encoding live events.
streamingProtocol enum Optional Defaults to RTMP
- The input protocol for the live event. This is specified at creation time and cannot be updated.
- Allowed values: RTMP, RTMPS, SRT
timedMetadataEndpoints list of objects LiveEventTimedMetadataEndpoint Required
- The metadata endpoints for the live event.
url string Required
preview object LiveEventPreview Optional
- The configuration for the preview of the live event. This includes settings like preview locator, streaming policy name, access control, and endpoints. This field cannot be modified, only set during creation.
accessControl object PreviewAccessControl Optional
- Address-based ACLs for access to the preview.
ip object IPAccessControl Required
- The IP access control for the preview endpoint. Determines who will be able to access preview content.
alternativeMediaId string Optional
- Not currently supported. Will be used to support DRM license acquisition for preview content.
endpoints list of objects LiveEventEndpoint Optional
- Populated server-side. The endpoints that are used for previewing the live event.
previewLocator string Optional format: uuid
- The ID of the locator for the preview. This is automatically generated when the live event is created, and removed when the live Event is deleted.
streamingPolicyName string Optional <=260 characters Defaults to Predefined_ClearStreamingOnly
- The name of the DRM streaming policy for the live event preview. Defaults to Predefined_ClearStreamingOnly and no other value is presently supported.
streamOptions list of strings Required
- A list of streaming options for the live event. One of 'Default' or 'LowLatency'. Only one value permitted in the list. This field cannot be modified, only set during creation.
Response
200 A live event has been created
location string Optional
- Deprecated field. This field cannot be modified, only set during creation.
name string Optional 2-32 characters pattern: ^[a-zA-Z0-9]+(-[a-zA-Z0-9])*$
- The name of the resource
properties object LiveEventProperties Required
- The properties of the live event.
created string Optional
- The time when the live event was created.
clientAccessPolicy string or null Optional
- The XML content of the client access policy file. Search 'clientaccesspolicy.xml' to learn more.
crossDomainPolicy string or null Optional
- The XML content of the cross-domain policy file. Search 'crossdomain.xml' to learn more.
description string Optional 0-4096 characters
- An optional description for the live event. This field cannot be modified, only set during creation.
address string Required
- The IP address or DNS with port or protocol
name string Required 1-32 characters
- The name of the IP range. This is for your reference only. examples: 'everyone', 'dave's house', 'corp vpn'.
subnetPrefixLength integer Required 0 to 32
- The subnet prefix length (see CIDR notation).
accessToken string Required 10-79 characters
- For RTMP, a UUID in string form to uniquely identify the stream.
- For SRT, an arbitrary string of between 10 and 79 characters, used as the passphrase.
- This can be specified at creation time but cannot be updated. If omitted or null, the service will generate a unique value.
keyFrameIntervalDuration string Required
- ISO 8601 time duration of the key frame interval duration of the input. This value sets the EXT-X-TARGETDURATION property in the HLS output.
- For example, use PT2S to indicate 2 seconds. Leave the value empty for encoding live events.
url string Required
lastModified string Optional
- The last time the live event was modified.
pipeline object PipelineArguments Optional
- Not currently supported. AI pipeline settings.
arguments map from strings to list of objects ArgumentSchema Optional
- Arguments to each operation in the AI pipeline
preview object LiveEventPreview Optional
- The configuration for the preview of the live event. This includes settings like preview locator, streaming policy name, access control, and endpoints.
- This field cannot be modified, only set during creation.
alternativeMediaId string Optional
- Not currently supported. Will be used to support DRM license acquisition for preview content.
provisioningState string Optional
- The current provisioning state of the resource. One of 'InProgress', 'Succeeded', or 'Failed'
resourceState enum Optional
- The current state of the resource. One of 'Stopped', 'Starting', 'Running', 'Stopping', or 'Deleting'.
- Allowed values: Stopped, Starting, Running, Stopping, Deleting
transcriptions list of items AnyValue Optional
- Not currently supported. Transcription settings for the live event. This field cannot be modified, only set during creation.
useStaticHostname boolean Required
- A boolean value that indicates whether a static hostname is assigned to input and preview endpoints. If not set, will default to 'false' and IP addresses will be provided.
tags map from strings to string Required
- A dictionary of tags associated with the live event. Maximum number of tags: 16. Maximum length of a tag: 64 characters.